Subject: Re: illegal instructions / irqs disabled warning

From: Johannes Berg <[email-masked]>
Date: Wed, 14 Dec 2005 16:13:11 +0100

On Wed, 2005-12-14 at 09:07 -0600, Kumar Gala wrote:

> It is, we just need to ensure that the user page we are copying from  
> is in memory.

So in the interrupt handler we need to ensure this and then call
__copy_from_user_inatomic instead?

> But, now that I go back and look at your log message, its odd. I  
> didn't expect ProgramExceptions to be executed with the MSR[EE] = 0.  
> Now, I'm wondering why that is.

Hm. I can tell you what I did: Something like 
  mtspr 940, r3

in userland :)
Not sure if it was 940, might have been one of the other registers
reserved for performance monitoring.

johannes